edu.whs.spin2018.baoapp.views.lobby

## Class HerausforderungsDialog

- java.lang.Object
- - android.support.v4.app.Fragment
  - - android.support.v4.app.DialogFragment
    - - edu.whs.spin2018.baoapp.views.lobby.HerausforderungsDialog

- All Implemented Interfaces:
    android.arch.lifecycle.LifecycleOwner, android.arch.lifecycle.ViewModelStoreOwner, android.content.ComponentCallbacks, android.content.DialogInterface.OnCancelListener, android.content.DialogInterface.OnDismissListener, android.view.View.OnCreateContextMenuListener
  Direct Known Subclasses:
    HerausforderungAusgehendDialog, HerausforderungEingehendDialog

      public abstract class HerausforderungsDialog
      extends android.support.v4.app.DialogFragment

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `HerausforderungsDialog.OnActionHappenedListener` Interface zur Weiterleitung einer Aktion (Button geklickt, Dialog gecanceld) an die Activity

    - ### Nested classes/interfaces inherited from class android.support.v4.app.Fragment

      `android.support.v4.app.Fragment.InstantiationException, android.support.v4.app.Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DIALOG_SCHLIESSEN_VERZOEGERUNG` Gibt an wie lange es dauern soll, bis sich der Dialog nach dem Annehmen der Ablehnen der gesendeten Herausforderung schließt.
    `static java.lang.String` | `TAG`

    - ### Fields inherited from class android.support.v4.app.DialogFragment

      `STYLE_NO_FRAME, STYLE_NO_INPUT, STYLE_NO_TITLE, STYLE_NORMAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HerausforderungsDialog()` Parameter, die dem Fragment von der aufrufenden Aktivität uebergeben wurden.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `gibGegnerUUID()`
    `HerausforderungsDialog.OnActionHappenedListener` | `gibOnActionHappenedListener()`
    `void` | `onCancel(android.content.DialogInterface dialog)`
    `void` | `onCreate(android.os.Bundle savedInstanceState)`
    `void` | `onDestroy()`
    `void` | `onDismiss(android.content.DialogInterface dialog)`
    `void` | `onPause()`
    `void` | `onSaveInstanceState(android.os.Bundle outState)`
    `void` | `setzeOnActionHappenedListener(HerausforderungsDialog.OnActionHappenedListener onActionHappenedListener)`
    `void` | `show(android.support.v4.app.FragmentManager manager, java.lang.String tag)`
    `abstract void` | `zeigeHerausforderungAngenommen()`
    `abstract void` | `zeigeHerausforderungBeendet()` Zeigt an, dass die aktuelle Herausforderung abgebrochen oder abgelehnt wurde.

    - ### Methods inherited from class android.support.v4.app.DialogFragment

      `dismiss, dismissAllowingStateLoss, getDialog, getShowsDialog, getTheme, isCancelable, onActivityCreated, onAttach, onCreateDialog, onDestroyView, onDetach, onGetLayoutInflater, onStart, onStop, setCancelable, setShowsDialog, setStyle, setupDialog, show, showNow`

    - ### Methods inherited from class android.support.v4.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityResult, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onCreateView, onDestroyOptionsMenu, onHiddenChanged, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onResume, onViewCreated, onViewStateRestored, postponeEnterTransition, registerForContextMenu, requestPermissions, requireActivity, requireContext, requireFragmentManager, requireHost, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DIALOG_SCHLIESSEN_VERZOEGERUNG

          public static final int DIALOG_SCHLIESSEN_VERZOEGERUNG

      Gibt an wie lange es dauern soll, bis sich der Dialog nach dem Annehmen der Ablehnen der gesendeten Herausforderung schließt.
      See Also:
        Constant Field Values

    - #### TAG

          public static final java.lang.String TAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HerausforderungsDialog

          public HerausforderungsDialog()

      Parameter, die dem Fragment von der aufrufenden Aktivität uebergeben wurden.

  - ### Method Detail

    - #### setzeOnActionHappenedListener

          public void setzeOnActionHappenedListener(HerausforderungsDialog.OnActionHappenedListener onActionHappenedListener)

    - #### gibOnActionHappenedListener

          public HerausforderungsDialog.OnActionHappenedListener gibOnActionHappenedListener()

    - #### zeigeHerausforderungBeendet

          public abstract void zeigeHerausforderungBeendet()

      Zeigt an, dass die aktuelle Herausforderung abgebrochen oder abgelehnt wurde.

    - #### zeigeHerausforderungAngenommen

          public abstract void zeigeHerausforderungAngenommen()

    - #### onCreate

          public void onCreate(@Nullable
                               android.os.Bundle savedInstanceState)

      Overrides:
        `onCreate` in class `android.support.v4.app.DialogFragment`

    - #### gibGegnerUUID

          public abstract java.lang.String gibGegnerUUID()

    - #### onCancel

          public void onCancel(android.content.DialogInterface dialog)

      Specified by:
        `onCancel` in interface `android.content.DialogInterface.OnCancelListener`
      Overrides:
        `onCancel` in class `android.support.v4.app.DialogFragment`

    - #### onPause

          public void onPause()

      Overrides:
        `onPause` in class `android.support.v4.app.Fragment`

    - #### onDismiss

          public void onDismiss(android.content.DialogInterface dialog)

      Specified by:
        `onDismiss` in interface `android.content.DialogInterface.OnDismissListener`
      Overrides:
        `onDismiss` in class `android.support.v4.app.DialogFragment`

    - #### onSaveInstanceState

          public void onSaveInstanceState(@NonNull
                                          android.os.Bundle outState)

      Overrides:
        `onSaveInstanceState` in class `android.support.v4.app.DialogFragment`

    - #### show

          public void show(android.support.v4.app.FragmentManager manager,
                           java.lang.String tag)

      Overrides:
        `show` in class `android.support.v4.app.DialogFragment`

    - #### onDestroy

          public void onDestroy()

      Overrides:
        `onDestroy` in class `android.support.v4.app.Fragment`